GXIO(4)

NAME
gxio - driver for Gumstix onboard I/O interface

SYNOPSIS
gxio* at pxaip?
options GXIO_BLUETOOTH_ON_HWUART
options GXIO_DEFAULT_EXPANSION

DESCRIPTION
The gxio driver supports several different expansion boards. Those boards have to be configured either by kernel option or using boot time parameter. The supported extension boards is system specific.

gxio is available for OMAP based Overo/DouVero and Pepper as well as for XScale based Gumstix boards. To setup the expansion board on boot the parameter “expansion” for OMAP and XScale can be used. Additionally, some XScale systems can connect two expansion boards. The second board can be configured by the “busheader” boot parameter. The gxio driver does not verify validity of both parameters.

For Xscale boards the following drivers are available for the peripherals:

sm  SMC91Cxx ethernet interface.

smsh
    SMSC LAN9118/LAN9218 ethernet interface.

OPTIONS

GXIO_BLUETOOTH_ON_HWUART
    Uses HWUART pins for Bluetooth module.

    The option only affects Xscale PXA250 based Gumstix boards. If set, the serial port HWUART is used to control Bluetooth module. Otherwise no Bluetooth module is configured for PXA250 boards.

GXIO_DEFAULT_EXPANSION
    Static configuration of expansion board.

    If configured, the gxio of the processor is setup for the board. If a boot parameter is used, the boot value is used instead.

    For Xscale based boards the following values are supported:
    basix
    cfstix
    etherstix
    netcf
    netcf-vx
    netduo
    netduo-mmc
    netmicrosd
    netmicrosd-vx
    netwifimicrosd
    netmmc
    netpro-vx
    wfistix
    wfistix-cf

    For Overo the following values are supported:
    chestnut43
    gallop43
    summit
    tobi
    tobi-duo

    For DuoVero the following value is supported:
    parlor

    For Pepper the following values are supported:
    43c
    43r
    dvi

SEE ALSO
pxaip(4), sm(4), smsh(4)

HISTORY
The gxio driver first appeared in NetBSD 4.0.

AUTHORS
-nosplit The gxio driver was written by Takashi Kiyohara <kiyohara@NetBSD.org> and Susumu Miki for WIDE Project and SOUM Corporation. This manual page was contributed by Stephan Meisinger.